ol {
    margin-left: 32px;
}

.language__item {
    cursor: pointer;
}

.language__item._active {
    display: none;
}

.banner__slide {
    width: 100%;
}

.banner__slide.swiper-slide {
    flex: 0 0 calc((100% - 0px) / 1);
}

.banner__container._container {
    position: relative;
}

.banner-section__footer.slider-action {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: calc(100% - 60px);
    display: flex;
    justify-content: space-between;
}

.sidebar-catalog-header__item a {
    display: -ms-grid;
    display: grid;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -ms-grid-columns: 32px 1fr 16px;
    grid-template-columns: 32px 1fr 16px;
    -webkit-column-gap: 12px;
    -moz-column-gap: 12px;
    column-gap: 12px;
    cursor: pointer;
}

.catalog__wrapper.full_catalog {
    -ms-grid-columns: 1fr;
    grid-template-columns:  1fr;
}


.price-list__item_qty {
    display: -ms-grid;
    display: grid;
    -ms-grid-columns: 100px 125px;
    grid-template-columns: 100px 125px;
    -webkit-column-gap: 3px;
    -moz-column-gap: 3px;
    column-gap: 3px;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: start;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    border-bottom: 1px solid #EAEAEA;
    padding: 10px 0px;
    font-size: 14px;
    gap: 20px;
}

.price-list__item_qty {
    margin-bottom: 20px;
}

.not-found__body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 40px;
    margin-top: 20px;
}

h1.not-found__title {
    color: #252525;
    font-size: 24px;
    font-weight: 500;
}

label.volume-card__item.active .volume-card__content {
    background: #87af00;
    border-color: #87af00;
    color: #fff;
}

.category_nav_title {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}


.category_nav_children {
    display: none;
}

.catalog-header__blocks.category_nav_children.active {
    display: block;
    pointer-events: auto;
}

.category_nav_children .catalog-header__block {
    display: none;
}

.category_nav_children .catalog-header__block {
    display: none;
}

.category_nav_children .catalog-header__block.active {
    display: block;
}

.category_nav_child {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    row-gap: 24px;
    width: 100%;
}


.error_form {
    margin-bottom: 16px;
    color: red;
}

.blog-page__article h1 {
    font-size: 24px;
    font-weight: 600;
}

.blog-page__article h2 {
    font-size: 20px;
    font-weight: 600;
}

.blog-page__article h3 {
    font-size: 18px;
    font-weight: 500;
}

.blog-page__article h4 {
    font-size: 16px;
    font-weight: 400;
}

.blog-page__article a {
    color: #87AF00;
}

.blog-page__article a:hover {
    text-decoration: underline;
}

h1.h1 {
    font-size: 24px;
    font-weight: 600;
}

h2.h2 {
    font-size: 20px;
    font-weight: 600;
}

h3.h3 {
    font-size: 18px;
    font-weight: 500;
}

h4.h4 {
    font-size: 16px;
    font-weight: 400;
}

.catalog__article ol, .catalog__article ul {
    padding-left: 24px;
}

.catalog__article ul li {
    list-style: disc;
}

.text-page .article__image {
    display: block;
    float: right;
    width: 50%;
    padding: 16px;
}

.text-page .blog-page__article img {
    width: 100%;
    max-width: 100%;
}

.popup__options.options.mb-5 {
    margin-bottom: 16px;
}

#form-register .options {
    gap: 8px;
}

.form-popup__item.ur-block {
    display: none;
}

.popup_success_register {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
    animation: fadeIn 0.3s ease;
}

.popup__content_success {
    position: relative;
    background: #fff;
    padding: 30px 40px;
    max-width: 420px;
    width: 90%;
    border-radius: 12px;
    text-align: center;
    box-shadow: 0 15px 40px rgba(0, 0, 0, 0.2);
    animation: scaleIn 0.3s ease;
}

.popup_info {
    font-size: 16px;
    line-height: 1.5;
    color: #87af00;
}

.close_popup {
    position: absolute;
    top: 12px;
    right: 12px;
    background: transparent;
    border: none;
    font-size: 22px;
    cursor: pointer;
    color: #888;
}

.close_popup:hover {
    color: #000;
}

.login__wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
    padding: 16px 0px;
}

.login__head {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
    font-size: 24px;
}

form.login__form {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
}

.login__footer {
    width: 100%;
}

button.login__button._btn {
    width: 100%;
}

.login__body {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.save_password_new {
    margin-top: 24px;
}

.alert.alert-success {
    color: #87af00;
}

.alert.alert-danger {
    color: red;
}

/* Модальное окно confirm */
.custom-confirm {
    display: none;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.custom-confirm-content {
    background: #fff;
    width: 380px;
    margin: 15% auto;
    padding: 40px 20px;
    border-radius: 5px;
    text-align: center;
}

.custom-confirm-buttons button {
    margin: 5px;
    cursor: pointer;
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    padding: 10px 24px;
    background: #87af00;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    text-align: center;
    color: #fff;
    border-radius: 4px;
    font-size: 16px;
    font-weight: 500;
    min-height: 48px;
    -webkit-transition: all .3s 0s;
    transition: all .3s 0s;
    -webkit-column-gap: 4px;
    -moz-column-gap: 4px;
    column-gap: 4px;
}

button#customConfirmCancel {
    background: #939393;
}

.custom-confirm-buttons {
    padding-top: 24px;
}

p#customConfirmMessage {
    font-size: 24px;
    font-weight: 700;
}

/* Popup уведомления */
#popupContainer {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 9999;
}

.custom-popup {
    background: #87AF00;
    color: #fff;
    padding: 10px 20px;
    margin-bottom: 10px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: opacity 0.3s;
}

.custom-popup.show {
    opacity: 1;
}

.custom-popup.error {
    background: #dc3545;
}

.custom-popup.info {
    background: #17a2b8;
}


.file_input input {
    padding-top: 14px;
    margin-top: 8px;
}

.blog-page__article img {
    display: inline;
}

.error-text {
    display: none;
}

a.btn.btn-primary {
    bottom: 70px;
    width: max-content;
    border-radius: 4px;
    background: #87AF00;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    padding: 10px 16px;
    color: #fff;
    margin-top: 8px;
}

.select__option._disabled {
    color: #000000;
    cursor: not-allowed;
    pointer-events: none;
    opacity: 1;
    font-weight: 600;
}


.video-wrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding-top: 16px;
}

.main-gallery-card__item img {
    width: auto;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    margin: 0 auto;
}

.thumbs-gallery-card__item img {
    width: auto;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    margin: 0 auto;
}

video.note-video-clip {
    margin: 0 auto;
    display: block;
}

.price-list__head {
    grid-template-columns: 150px 80px 110px 80px 100px;
}

.price-list__item {
    grid-template-columns: 150px 80px 110px 80px 100px;
}

.quantity__input_gift {
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
}

.quantity__input_gift input {
    height: 100%;
    color: #252525;
    font-size: 14px;
    width: 100%;
    text-align: center;
    min-width: 0px;
    max-width: 100%;
    background: none;
}

.form-order__select {
    padding-top: 10px;
}

.data-order__item._full_text {
    flex: 1 0 calc((100% - 10px * 1) / 1);
    position: relative;
    top: -20px;
}
.data-order__item.full_col {
    flex: 1 0 100%;
}
.more_address {
    display: flex;
    width: 100%;
    gap: 10px;
}
.data-order__item.full_col {
    display: flex;
    gap: 10px;
    align-items: center;
}
.data-order__item.full_col .data-order__label {
    display: inline-block;
    margin-bottom: 0px;
    cursor: pointer;
}

/* контейнер чекбокса */
.address_more_check .data-order__input {
    position: relative;
    width: 20px;
    height: 20px;
}

/* скрываем стандартный checkbox */
.address_more_check input[type="checkbox"] {
    opacity: 0;
    width: 20px;
    height: 20px;
    margin: 0;
    cursor: pointer;
    position: relative;
    z-index: 2;
}

/* квадрат */
.address_more_check .data-order__input::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 20px;
    height: 20px;
    border: 2px solid #87AF00;
    border-radius: 4px;
    background: #fff;
    transition: all 0.2s ease;
}

/* галочка */
.address_more_check .data-order__input::after {
    content: '';
    position: absolute;
    left: 6px;
    top: 2px;
    width: 6px;
    height: 12px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg) scale(0);
    transition: all 0.2s ease;
}

/* checked состояние */
.address_more_check input[type="checkbox"]:checked + * {
    /* хак не нужен, используем parent */
}

.address_more_check input[type="checkbox"]:checked ~ * {
    /* ничего */
}

/* главный момент — через :has (современный способ) */
.address_more_check:has(input:checked) .data-order__input::before {
    background: #87AF00;
    border-color: #87AF00;
}

.address_more_check:has(input:checked) .data-order__input::after {
    transform: rotate(45deg) scale(1);
}

/* hover */
.address_more_check:hover .data-order__input::before {
    border-color: #6f9300;
}

._error .select__item {
    border: 1px solid red;
    border-radius: 8px;
}

span.product__price.discount_pf {
    display: flex;
    flex-direction: column;
}

span.product__price.discount_pf span._new {
    color: #FF0707;
}

span.product__price.discount_pf span._old {
    font-size: 16px;
    font-weight: 400;
    color: #BDBDBD;
    text-decoration: line-through;
}

.gallery-card__main.main-gallery-card {
    position: relative;
}

.product__mods {
    z-index: 1;
}

.results-search-header::after {
    opacity: 0;
}

.product-cart__main {
    -ms-grid-columns: 60px 1fr 120px 100px 24px;
    grid-template-columns: 60px 1fr 120px 100px 24px;
}

.data-order__item_all {
    -webkit-box-flex: 1;
    -ms-flex: 1 0 calc((100% - 10px * 1) / 2);
    flex: 1 0 calc((100% - 10px * 1) / 2);
}

.box_type {
    display: none;
}


.product__actions._bought .product__quantity {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}

.product__actions._bought .product__buy {
    display: none;
}

.product-substitutes__slider .product-section__item {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc((100% - 5px) / 3);
    flex: 0 0 calc((100% - 5px) / 3);
}

.product-section__item.product {
    margin-right: 0px
}

.product-substitutes__content ._swiper .swiper-wrapper {
    margin: 1px;
}

.product-substitutes__content .product__image img {
    padding: 1px;
}

h2.head-substitutes__title {
    font-family: Onest;
    font-weight: 500;
    font-style: Medium;
    font-size: 22px;
    leading-trim: NONE;
    line-height: 100%;
    letter-spacing: 0%;
    color: #D43557;
}

.product-substitutes__head.head-section {
    display: flex;
    justify-content: space-between;
    align-items: center;

    margin-bottom: 17px;
}

.slider-substitutes__arrow {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 42px;
    flex: 0 0 42px;
    width: 42px;
    height: 42px;
    border-radius: 4px;
    border: 1px solid #D3D3D3;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-transition: border-color 0.3s 0s;
    transition: border-color 0.3s 0s;
    cursor: pointer;
}

.slider-substitutes__arrow:hover {
    border-color: #87AF00;
}

.input.error {
    border: 1px solid red;
}

.input.error::placeholder {
    color: red;
}

a.more_products_similar {
    color: #D43557;
    text-align: center;
}

span.card__warning {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 4px;
}

.card__price-list {
    display: none;
}

.ForBox {
    display: block;
}

.card__cart span.card__price {
    min-width: 140px;
}

.promo_text {
    margin-top: 16px;
}

.info_order {
    color: red;
}

.more_category_filter .checkbox__content:before {
    opacity: 0;
}

.more_categories_filter {
    margin-top: -16px;
}

.list-filter__sublist {
    margin-top: 0px;
}

a.more_category_filter {
    color: #252525;
}

a.more_category_filter {
    font-size: 14px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    width: 100%;
    font-weight: 600;
}

span.checkbox__name {
    font-weight: 600;
}

span.checkbox__count {
    font-weight: 400;
}

.filter-list__item {
    font-size: 14px;
}

.product__fav svg path[fill] {
    fill: #ababab;
}

.feedback-open {
    bottom: 25%;
}

.head-catalog__other.catalog_promo {
    z-index: 2;
    position: relative;
}

.head-catalog__other {
    z-index: 2;
}

.product .product__fav {
    opacity: 1;
    visibility: visible;
    pointer-events: all;
}

span.history-order__status._processing, span.head-order-cabinet__status._processing {
    background: #ffeb00;
    color: #404040;
}

span.history-order__status._new, span.head-order-cabinet__status._new {
    background: #25A0CF;
    color: #ffffff;
}

span.history-order__status._complited, span.head-order-cabinet__status._complited {
    background: #87af00;
    color: #ffffff;
}

span.history-order__status._cancelled, span.head-order-cabinet__status._cancelled {
    background: #ff0000;
    color: #ffffff;
}

.product__price.discount_cart_item {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}
.product__price.discount_cart_item span._new {
    color: #FF0707;
}

.product__price.discount_cart_item span._old {
    font-size: 16px;
    font-weight: 400;
    color: #BDBDBD;
    text-decoration: line-through;
}

#preloader {
    position: fixed;
    inset: 0;
    background: #fff;
    z-index: 999999;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: opacity 0.3s ease;
}

.spinner {
    width: 45px;
    height: 45px;
    border: 4px solid #eee;
    border-top: 4px solid #000;
    border-radius: 50%;
    animation: spin 0.8s linear infinite;
}

@keyframes spin {
    to { transform: rotate(360deg); }
}

/* Анимации */
@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

@keyframes scaleIn {
    from {
        transform: scale(0.9);
        opacity: 0;
    }
    to {
        transform: scale(1);
        opacity: 1;
    }
}


@media (min-width: 768.98px) {
    ._row-products .product .product__main {
        display: block;
    }
}

@media (max-width: 1097.98px) {
    .product__image {
        overflow: hidden;
        height: 145px;
        display: block;
        width: 100%;
    }
}

@media (max-width: 768.98px) {
    .banner-section__footer.slider-action {
        top: 85%;
    }

    .catalog-header__blocks.category_nav_children {
        z-index: 99;
        background: #ffffff;
        position: absolute;
        top: 0;
        left: 0;
    }

    .video-wrapper iframe {
        width: 100% !important;
        height: 280px !important;
    }

    .product-substitutes__slider .product-section__item {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc((100% - 5px) / 2);
        flex: 0 0 calc((100% - 5px) / 2);
    }

    .product-substitutes__head.head-section {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-direction: row;
    }

    .product-cart__main {
        -webkit-column-gap: 12px;
        -moz-column-gap: 12px;
        column-gap: 12px;
        -ms-grid-columns: 32px 100px 1fr 24px;
        grid-template-columns: 32px 100px 1fr 24px;
    }

    .catalog_promo .head-catalog__sort {
        display: block;
        width: 50%;
        flex: 0 0 65%;
    }

    .head-catalog__other {
        position: relative;
        z-index: 3;
    }

    .catalog_index .head-catalog__sort {
        display: block;
        width: 50%;
        flex: 0 0 65%;
    }

    .catalog_index button.head-catalog__filter-btn._filter-open {
        display: none;
    }

}

@media (max-width: 429.98px) {
    .product__price {
        font-size: 14px;
    }

    .product__quantity {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 65px;
        flex: 0 0 65px;
        width: 65px;
    }

    ._row-products .product .product__main {
        display: block;
    }

    ._row-products .product {
        -ms-grid-columns: 60px 1fr;
        grid-template-columns: 60px 1fr;
    }

    .banner .slider-action__arrow svg path[stroke] {
        stroke: #ffffff;
    }

    video.note-video-clip {
        max-width: 100%;
        height: 225px;
    }

    .custom-confirm-content {
        width: 80%;
    }

    .edit-template-cabinet__footer {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
    }

    .head-catalog-header__back._catalog-back {
        min-width: 150px;
    }

    .comment_order {
        display: none;
    }

    .pagging__item {
        width: 30px;
        height: 30px;
    }

    .pagging__arrow {
        width: 30px;
        height: 30px;
        -ms-flex: 0 0 30px;
        flex: 0 0 30px;
    }

    li.pagging__list.start-page, li.pagging__list.end-page {
        display: none;
    }
}

@media (max-width: 329.98px) {
    .pagging__list {
        -webkit-column-gap: 5px;
        -moz-column-gap: 5px;
        column-gap: 2px;
    }
}